Bug 2918 - [UPDATE REQUEST] [UPSTREAM UPDATE] rsyslog
: [UPDATE REQUEST] [UPSTREAM UPDATE] rsyslog
Status: RESOLVED FIXED
Product: Server Bugs
Classification: ROSA Server
Component: Main Packages
: unspecified
: All Linux
: Normal normal
: ---
Assigned To: Andrew Lukoshko
: ROSA Server Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-18 14:28 MSD by Andrew Lukoshko
Modified: 2013-11-13 17:33 MSK (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
alexander.petryakov: qa_verified+
andrew.lukoshko: published_server+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Lukoshko 2013-10-18 14:28:50 MSD
An erroneous patch in a previous release, which changed the implementation of
the configuration file parser, caused the rsyslog daemon to terminate
unexpectedly with a segmentation fault for certain configurations. With this
update, the patch is removed, and file crashes no longer occur with the default
configuration. However, if users add an "$IncludeConfig" directive, they should
add it at the beginning before other actions. If there is a specific need to use
the "$IncludeConfig" directive after any actions, users should put a dummy
action before, for example, a "syslog.debug /dev/null" configuration snippet.

http://rhn.redhat.com/errata/RHBA-2013-1214.html

https://abf.rosalinux.ru/build_lists/1335766
https://abf.rosalinux.ru/build_lists/1335767
Comment 1 Alexander Petryakov 2013-10-21 01:51:29 MSD
 rsyslog-5.8.10-7.res6
*********************** RHEL Advisory *************************
An erroneous patch in a previous release, which changed the implementation of
the configuration file parser, caused the rsyslog daemon to terminate
unexpectedly with a segmentation fault for certain configurations. With this
update, the patch is removed, and file crashes no longer occur with the default
configuration. However, if users add an "$IncludeConfig" directive, they should
add it at the beginning before other actions. If there is a specific need to use
the "$IncludeConfig" directive after any actions, users should put a dummy
action before, for example, a "syslog.debug /dev/null" configuration snippet.

http://rhn.redhat.com/errata/RHBA-2013-1214.html

***************************************************************
QA Verified